- Qt 6.7
- Qt 3D
- C++ Classes
- Qt3DRender
- QFilterKey
- Qt 6.7.3 Reference Documentation

# QFilterKey Class

class Qt3DRender::QFilterKey

The QFilterKey class provides storage for filter keys and their values. More...

Header: | #include <QFilterKey>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3drender) target_link_libraries(mytarget PRIVATE Qt6::3drender)
qmake: | QT += 3drender
Instantiated By: | FilterKey
Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Properties

- name : QString
- value : QVariant

## Public Functions

QString | name() const
QVariant | value() const

## Public Slots

void | setName(const QString &customType)
void | setValue(const QVariant &value)

## Signals

void | nameChanged(const QString &name)
void | valueChanged(const QVariant &value)

## Detailed Description

Filter keys are used by QTechnique and QRenderPass to specify at which stage of rendering the technique or the render pass is used.

Note: QFilterKey node can not be disabled.

## Property Documentation

### name : QString

Holds the name of the filter key.

Access functions:

QString | name() const
void | setName(const QString &customType)

Notifier signal:

void | nameChanged(const QString &name)

### value : QVariant

Holds the value of the filter key.

Access functions:

QVariant | value() const
void | setValue(const QVariant &value)

Notifier signal:

void | valueChanged(const QVariant &value)